Legacy CHEESE API

Embeddings File

Suggest an edit
GET
/embeddings_file

Get embeddings for a file of molecules.

This endpoint allows users to get embeddings for a list of molecules uploaded in a CSV file.

Parameters:

  • input_file (List[str]): The input file to get embeddings for.
  • smiles_col (str) : The column name of SMILES strings in case of a csv file (default 'SMILES')
  • search_type (List[str]): The type of embeddings to calculate.
  • dest (str): Destination path to save the embeddings (default is /tmp/embeddings).

Returns:

  • A JSON response containing the status of the request if it's successful.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

input_file?Input File
Default""
smiles_col?Smiles Col
Default"SMILES"
search_type?EmbNames

Type of embeddings to calculate

Default"all"

Value in

  • "all"
  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
dest_folder?Dest Folder

Destination path

Default"/tmp/embeddings"

Response Body

application/json

application/json

curl -X GET "https://example.com/embeddings_file"
null